Bug 674723 - 389-ds-base spec file does not have a BuildRequires on gcc-g++
389-ds-base spec file does not have a BuildRequires on gcc-g++
Product: 389
Classification: Community
Component: Unknown (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
Depends On:
Blocks: 389_1.3.0
  Show dependency treegraph
Reported: 2011-02-02 21:17 EST by Michael Gregg
Modified: 2015-01-04 18:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11-0.1.a1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-04 18:21:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Gregg 2011-02-02 21:17:03 EST
Description of problem:
I'm trying to build 389-ds-base from git, I encountered a problem where it would not build because I did not have gcc-g++ installed. 
After I installed gcc-g++, everything builds. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. remove gcc-g++ from your machine
2. rpmbuild -ba 389-ds-base.spec
Actual results:
configure: error: C++ compiler cannot create executables
See `config.log' for more details

Expected results:
I'd expect the spec file to have a "BuildRequires: gcc-c++" line.
Comment 1 Martin Kosek 2012-01-04 08:28:39 EST
Upstream ticket:
Comment 2 Nathan Kinder 2013-03-04 18:21:42 EST
This was fixed in 389-ds-base-1.2.11-0.1.a1.fc17.  Closing.

Note You need to log in before you can comment on or make changes to this bug.